Get File Upload

get/api/file-uploads/{fileUploadId}

Retrieve the meta data of a file upload by a given id.

Request

Path Parameters

  • fileUploadIdstringrequired

    Primary identifier of the file upload to fetch.

Response

Successful operation.

Body application/json

  • idstringrequired

    Id of the file.

  • purposestringrequired
    Allowed values:kyc-doc-upload

    The purpose the file is related to.

  • livenessstringrequired
    Allowed values:livetest

    The resource liveness mode.

  • accountIdstringrequired

    Id of the account owning the file upload.

  • fileNamestringrequired

    Name of file.

  • fileSizenumberrequired

    Size of the file in bytes.

  • mimeTypestringrequired

    The type of file.

  • statusstringrequired
    Allowed values:createddeletingdeleted

    The current status of the file upload.

  • expiresAtstring

    Date when the file will be considered expired and subsequently deleted.